View Issue Details

IDProjectCategoryView StatusLast Update
0014133ScribusImport / Exportpublic2020-02-20 07:21
ReporterJLuc Assigned Tocbradney  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionwon't fix 
PlatformLinuxOSUbuntuOS Version14.04
Product Version1.5.3 
Target VersionFixed in Version 
Summary0014133: Show whether document is already collected for output
DescriptionThe "collect for output" menu option is allways active and there is no way to see whether it is required or not to collect for output... except doing it, once more, maybe for no use.

It would be nice when Scribus would display the "collected for output" state of the document, at least regarding images because the SLA contains the path for each image and can easily look at it.

When all images are in the same 'images' folder, then it's 'images collected for output' state is true.
When images are in more than one folder, and not an 'images' folder, then its "images collected for output" state is false.

This "Images collected for output" state could be shown in the status bar as
"Images collected for output" or "Images NOT collected for output"
or using some icon.

Additional InformationSee here various possible icons that could be used :
https://thenounproject.com/search/?q=image+folder

When "images collected for output state" is false, that icon would be crossed with a line.

A hover hint bubble should explain "All images are in same 'images' folder" or "Some images are not in 'images' folder : Collect for output is usefull".
TagsNo tags attached.
PatchNo

Relationships

related to 0012480 new Afterflight checker : Warn when some image is outside "images" folder 

Activities

ale

2016-06-09 14:02

manager   ~0041637

please, no.

we rather need to optionally ensure that the directory with the .sla is "self-contained" (work on a shared volume, shuffling around directories)...


jluc, if you want i'll send you a staple of post-its and you can put one on your monitor when you've collected for output.
the small ones.

Issue History

Date Modified Username Field Change
2016-06-06 08:22 JLuc New Issue
2016-06-06 08:30 JLuc Additional Information Updated View Revisions
2016-06-06 08:45 jghali Severity minor => feature
2016-06-08 07:11 jghali Summary Show whether document is allready collected for output => Show whether document is already collected for output
2016-06-09 14:02 ale Note Added: 0041637
2016-06-09 19:02 cbradney Status new => resolved
2016-06-09 19:02 cbradney Resolution open => won't fix
2016-06-09 19:02 cbradney Assigned To => cbradney
2016-11-11 22:54 cbradney Status resolved => closed
2020-02-20 07:21 JLuc Relationship added related to 0012480